Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.common
Class Configuration

    java.lang.Object
      org.jboss.soa.esb.common.Configuration

    public class Configuration

extends java.lang.Object

Constructor Summary
`Configuration()`

Method Summary
`static java.lang.String` | `dump()`
`static java.lang.String` | `getEncryptionFactoryClass()`
`static java.lang.String` | `getJcrStoreJNDIPath()`
`static java.lang.String` | `getJcrStorePassword()`
`static java.lang.String` | `getJcrStoreRootNodePath()`
`static java.lang.String` | `getJcrStoreUsername()`
`static javax.jms.ConnectionFactory` | `getJmsConnectionFactory(java.lang.String jmsConnectionFactoryModuleName)` Lookup the JMS Connection Factory based on the connection details outlined in the named configuration module/section.
`static java.lang.String` | `getJndiServerContextFactory()`
`static java.lang.String` | `getJndiServerPkgPrefix()`
`static java.lang.String` | `getJndiServerURL()`
`static java.lang.String` | `getLoadBalancerPolicy()`
`static javax.naming.Context` | `getNamingContext(java.lang.String contextModuleName)` Deprecated. `NamingContextPool`
`static java.lang.String` | `getObjStoreConfigFile()`
`static java.lang.String` | `getParamRepositoryImplClass()`
`static java.lang.String` | `getRedeliveryDlsOn()`
`static java.lang.String` | `getRegistryCacheLife()`
`static java.lang.String` | `getRegistryCacheMaxSize()` Get the maximum cache size for the caching registry.
`static java.lang.String` | `getRegistryCacheValidityPeriod()` Get the validity period for the caching registry.
`static java.lang.String` | `getRegistryFactoryClass()` The Registry Factory Class setting specifies which JAXR implementation should be used.
`static java.lang.String` | `getRegistryImplementationClass()` The Registry Implememtation Class defines wrapper class
`static java.lang.String` | `getRegistryInterceptors()` Get the registry interceptor class names
`static java.lang.String` | `getRegistryLifecycleManagerURI()` The Registry Lifecycle Manager URI can be use to publish services.
`static java.lang.String` | `getRegistryPassword()` The Registry Password that goes with the Registry User.
`static java.lang.String` | `getRegistryPostalAddressScheme()`
`static java.lang.String` | `getRegistryQueryManageURI()` The Registry Query Manager URI can be used to obtain information about services and their endPoints.
`static java.lang.String` | `getRegistryScoutTransportClass()` The Registry Scout Transport Class defines which communication protocol Scout should use to communicate with the UDDI registry.
`static java.lang.String` | `getRegistrySecurityAuthenticationMethod()`
`static java.lang.String` | `getRegistrySemanticEquivalences()`
`static java.lang.String` | `getRegistryUDDIMaxRows()`
`static java.lang.String` | `getRegistryUser()` The Registry User is used to inquire and publish to the Registry.
`static java.lang.String` | `getSmtpAuth()`
`static java.lang.String` | `getSmtpFrom()`
`static java.lang.String` | `getSmtpHost()`
`static java.lang.String` | `getSmtpPassword()`
`static java.lang.String` | `getSmtpPort()`
`static java.lang.String` | `getSmtpUsername()`
`static java.lang.String` | `getStoreDBConnectionManager()`
`static java.lang.String` | `getStoreDBDatasourceName()`
`static java.lang.String` | `getStoreDriver()`
`static java.lang.String` | `getStorePoolInitialSize()`
`static java.lang.String` | `getStorePoolMaxSize()`
`static java.lang.String` | `getStorePoolMinSize()`
`static java.lang.String` | `getStorePoolTestTable()`
`static java.lang.String` | `getStorePoolTimeoutMillis()`
`static java.lang.String` | `getStorePwd()`
`static java.lang.String` | `getStoreUrl()`
`static java.lang.String` | `getStoreUser()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Configuration

    public Configuration()

Method Detail

### dump

    public static java.lang.String dump()

### getSmtpHost

    public static java.lang.String getSmtpHost()

### getSmtpUsername

    public static java.lang.String getSmtpUsername()

### getSmtpPassword

    public static java.lang.String getSmtpPassword()

### getSmtpPort

    public static java.lang.String getSmtpPort()

### getSmtpFrom

    public static java.lang.String getSmtpFrom()

### getSmtpAuth

    public static java.lang.String getSmtpAuth()

### getJndiServerURL

    public static java.lang.String getJndiServerURL()

### getJndiServerContextFactory

    public static java.lang.String getJndiServerContextFactory()

### getJndiServerPkgPrefix

    public static java.lang.String getJndiServerPkgPrefix()

### getLoadBalancerPolicy

    public static java.lang.String getLoadBalancerPolicy()

### getRedeliveryDlsOn

    public static java.lang.String getRedeliveryDlsOn()

### getRegistryCacheLife

    public static java.lang.String getRegistryCacheLife()

### getRegistryQueryManageURI

    public static java.lang.String getRegistryQueryManageURI()

  The Registry Query Manager URI can be used to obtain information about services and their endPoints.

  Returns:
    Registry Query Manager URI String

### getRegistryLifecycleManagerURI

    public static java.lang.String getRegistryLifecycleManagerURI()

  The Registry Lifecycle Manager URI can be use to publish services.

  Returns:
    Registry Lifecycle Manager URI String

### getRegistryFactoryClass

    public static java.lang.String getRegistryFactoryClass()

  The Registry Factory Class setting specifies which JAXR implementation should be used.

  Returns:
    Registry Factory Class String

### getRegistryImplementationClass

    public static java.lang.String getRegistryImplementationClass()

  The Registry Implememtation Class defines wrapper class

  Returns:
    Registry Implementation Class String

### getRegistryScoutTransportClass

    public static java.lang.String getRegistryScoutTransportClass()

  The Registry Scout Transport Class defines which communication protocol Scout should use to communicate with the UDDI registry. Note that this parameter is Scout specific.

  Returns:
    Registry Scout Transport Class String

### getRegistryUser

    public static java.lang.String getRegistryUser()

  The Registry User is used to inquire and publish to the Registry.

  Returns:
    Registry User String

### getRegistryPassword

    public static java.lang.String getRegistryPassword()

  The Registry Password that goes with the Registry User.

  Returns:
    Registry Password String

### getRegistrySemanticEquivalences

    public static java.lang.String getRegistrySemanticEquivalences()

### getRegistryPostalAddressScheme

    public static java.lang.String getRegistryPostalAddressScheme()

### getRegistrySecurityAuthenticationMethod

    public static java.lang.String getRegistrySecurityAuthenticationMethod()

### getRegistryUDDIMaxRows

    public static java.lang.String getRegistryUDDIMaxRows()

### getParamRepositoryImplClass

    public static java.lang.String getParamRepositoryImplClass()

### getObjStoreConfigFile

    public static java.lang.String getObjStoreConfigFile()

### getEncryptionFactoryClass

    public static java.lang.String getEncryptionFactoryClass()

### getStoreUrl

    public static java.lang.String getStoreUrl()

### getStoreDriver

    public static java.lang.String getStoreDriver()

### getStorePwd

    public static java.lang.String getStorePwd()

### getStoreUser

    public static java.lang.String getStoreUser()

### getStorePoolInitialSize

    public static java.lang.String getStorePoolInitialSize()

### getStorePoolMinSize

    public static java.lang.String getStorePoolMinSize()

### getStorePoolMaxSize

    public static java.lang.String getStorePoolMaxSize()

### getStorePoolTestTable

    public static java.lang.String getStorePoolTestTable()

### getStorePoolTimeoutMillis

    public static java.lang.String getStorePoolTimeoutMillis()

### getStoreDBConnectionManager

    public static java.lang.String getStoreDBConnectionManager()

### getStoreDBDatasourceName

    public static java.lang.String getStoreDBDatasourceName()

### getJcrStoreJNDIPath

    public static java.lang.String getJcrStoreJNDIPath()

### getJcrStoreUsername

    public static java.lang.String getJcrStoreUsername()

### getJcrStorePassword

    public static java.lang.String getJcrStorePassword()

### getJcrStoreRootNodePath

    public static java.lang.String getJcrStoreRootNodePath()

### getRegistryInterceptors

    public static java.lang.String getRegistryInterceptors()

  Get the registry interceptor class names

  Returns:
    Registry interceptor Class names.

### getRegistryCacheMaxSize

    public static java.lang.String getRegistryCacheMaxSize()

  Get the maximum cache size for the caching registry.

  Returns:
    The maximum cache size.

### getRegistryCacheValidityPeriod

    public static java.lang.String getRegistryCacheValidityPeriod()

  Get the validity period for the caching registry.

  Returns:
    The cache validity period.

### getNamingContext

    public static javax.naming.Context getNamingContext(java.lang.String contextModuleName)
                                                 throws ConfigurationException

  Deprecated. `NamingContextPool`

  Construct a naming context based on the connection details outlined in the named configuration module/section.

  The module/section parameters are:
  1. `Context.PROVIDER_URL`: Value defaults to "`Environment.JBOSS_PROVIDER_URL`".
  2. `Context.INITIAL_CONTEXT_FACTORY`: Value defaults to "`Environment.JBOSS_INITIAL_CONTEXT_FACTORY`".
  3. `Context.URL_PKG_PREFIXES`: Value defaults to "`Environment.JBOSS_URL_PKG_PREFIX`".

  Parameters:
    `contextModuleName` - Conficuration module/section name.
  Returns:
    The context instance.
  Throws:
    `ConfigurationException` - Unable to connect to context.

### getJmsConnectionFactory

    public static javax.jms.ConnectionFactory getJmsConnectionFactory(java.lang.String jmsConnectionFactoryModuleName)
                                                               throws ConfigurationException

  Lookup the JMS Connection Factory based on the connection details outlined in the named configuration module/section.

  The module/section parameters are:
  1. `Context.PROVIDER_URL`: Value defaults to "`Environment.JBOSS_PROVIDER_URL`".
  2. `Context.INITIAL_CONTEXT_FACTORY`: Value defaults to "`Environment.JBOSS_INITIAL_CONTEXT_FACTORY`".
  3. `Context.URL_PKG_PREFIXES`: Value defaults to "`Environment.JBOSS_URL_PKG_PREFIX`".
  4. javax.jms.ConnectionFactory: Value defaults to "".

  Parameters:
    `jmsConnectionFactoryModuleName` - Configuration module/section name.
  Returns:
    The JMS ConnectionFactory instance.
  Throws:
    `ConfigurationException` - Lookup failed either because it was unable to lookup the context, or the ConnectionFactory lookup failed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD